Changing arrow head of a dimension

Discussion in 'AutoCAD' started by lucian.crisan, Mar 25, 2005.

  1. Hello everybody,

    i have 3 questions to put.

    First : i want to write a lisp program which can change the arrow head of a dimension, by simply click on that dimension.

    Second: it is possible to create a lisp/vlisp program to change/switch AutoCAD profiles?

    Third: i need a program to change automatically to HATCH layer when i make a hatch. There is possible to adapt this program to automatically change layers in correspondence with AutoCAD commands (ex: TEXT to layer TEXT, DIM to layer DIMS, etc).

    Thank you very much,
    Lucian.
     
    lucian.crisan, Mar 25, 2005
    #1
  2. lucian.crisan

    Walt Engle Guest

    Arrowhead sizes are dependent on dimscale variable. Your lsp routine would have to change the variable.
     
    Walt Engle, Mar 25, 2005
    #2
  3. i've try with dimoverride command (with dimsah on) but there is no changes to dimension graphically.

    Command:
    DIMOVERRIDE
    Enter dimension variable name to override or [Clear overrides]: DIMBLK1
    Enter new value for dimension variable <ClosedFilled>: dotsmall

    Enter dimension variable name to override:

    Select objects: 1 found

    Select objects:
    ....

    and nothing.

    where is the mistake?

    Thanks,
    Lucian.
     
    lucian.crisan, Mar 25, 2005
    #3
  4. lucian.crisan

    Adesu Guest

    Hi lucian,I have a script for edit dimension of arrow head,try this

    ; eas is stand for edit dim arrow head size dimension
    ; Design by Ade Suharna <>
    ; 28 September 2004
    ; program no. 91/09/2004
    ; Edit by Ade Suharna 05/10/2004 1).
    (defun c:eas (/ ent opt)
    (vl-load-com)
    (while ; 1).
    (setq ent
    (vlax-ename->vla-object
    (car
    (entsel "\nSELECT A DIMENSION: ")))
    ent1 (rtos (vlax-get-property ent "ArrowheadSize"))
    opt
    (getstring
    (strcat "\nENTER NEW SCALE FACTOR" "<" ent1 ">" ": ")))
    (vla-put-ArrowheadSize ent opt)
    )
    (princ)
    )
     
    Adesu, Mar 28, 2005
    #4
  5. lucian.crisan

    Matt W Guest

    Does it have to be in LSP or can it be in VBA?
    Reason being, I know more about VBA than I do LSP.
     
    Matt W, Mar 28, 2005
    #5
  6. See if you can find XL-TOGL.lsp (among Cadalyst Magazine's available
    downloads, I think). It's from back in 1999 or so. It contains two
    routines, for turning on and for turning off the extension lines of a
    dimension. It determines whether you've picked closer to the first or
    second extension line, and changes the extension line suppression variable
    for that end of the dimension, and updates it. You could probably easily
    adjust it to override the DIMBLK(1) or (2) variable, instead.

    If you can't find it, I can post it -- I "fixed" their original to deal
    better with conditions where the distance from the origins to the dimension
    line is large compared to the dimensioned distance (it had a tendency to
    change the wrong end sometimes). I think they replaced it with the fixed
    version, but they may have refined it further since, if it's still
    downloadable there.
     
    Kent Cooper, AIA, Mar 28, 2005
    #6
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.